## conquest-dicom-server 1.4.17d

=== debian/changelog ===
conquest-dicom-server (1.4.17d-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:18:02 +0000

conquest-dicom-server (1.4.17d-1) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Debianization

  [ Pablo Lorenzzoni ]
  * New Maintainer
  * Initial release (Closes: #680352)

 -- Pablo Lorenzzoni <spectra@debian.org>  Wed, 19 Mar 2014 17:16:48 -0300
