=== debian/watch ===
version=3
opts="pasv,uversionmangle=s/^(\d)(\d)(.+)/$1.$2.$3/" \
ftp://ftp-rt.nki.nl/outbox/MarcelVanHerk/dicomserver/conquestlinux(.*)\.tar\.gz
